SDL_AudioBufferQueue Struct Reference

`#include <SDL_sysaudio.h>`

Collaboration diagram for SDL_AudioBufferQueue:
[legend]

## Data Fields

Uint8 | data [SDL_AUDIOBUFFERQUEUE_PACKETLEN]
Uint32 | datalen
Uint32 | startpos
struct SDL_AudioBufferQueue * | next

## Detailed Description

Definition at line 61 of file SDL_sysaudio.h.

## Field Documentation

Uint8 SDL_AudioBufferQueue::data[SDL_AUDIOBUFFERQUEUE_PACKETLEN]

Definition at line 63 of file SDL_sysaudio.h.

Referenced by SDL_BufferQueueDrainCallback(), and SDL_QueueAudio().

Uint32 SDL_AudioBufferQueue::datalen

Definition at line 64 of file SDL_sysaudio.h.

Referenced by open_audio_device(), SDL_BufferQueueDrainCallback(), and SDL_QueueAudio().

struct SDL_AudioBufferQueue* SDL_AudioBufferQueue::next

Definition at line 66 of file SDL_sysaudio.h.

Referenced by free_audio_queue(), open_audio_device(), SDL_BufferQueueDrainCallback(), and SDL_QueueAudio().

Uint32 SDL_AudioBufferQueue::startpos

Definition at line 65 of file SDL_sysaudio.h.

Referenced by open_audio_device(), SDL_BufferQueueDrainCallback(), and SDL_QueueAudio().

The documentation for this struct was generated from the following file:

- src/audio/SDL_sysaudio.h